Bug 227032 - Review Request: asm-1.5.3-2jpp - A code manipulation tool to implement adaptable systems
Review Request: asm-1.5.3-2jpp - A code manipulation tool to implement adapta...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Package Reviews List
: Reopened
: 252045 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 12:28 EST by Rafael H. Schloming
Modified: 2014-12-01 18:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 16:48:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael H. Schloming 2007-02-02 12:28:55 EST
Spec URL: http://people.redhat.com/rafaels/specs/asm-1.5.3-2jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/asm-1.5.3-2jpp.src.rpm
Description: ASM is a code manipulation tool to implement adaptable systems.

Javadoc for asm.
Comment 1 Nuno Santos 2007-02-13 12:02:56 EST
asm-1.5.3-2jpp.src.rpm

Legend:
OK: passes criteria
NO: fails criteria (errors included between "--" markers)
NA: non applicable
??: unable to verify


MUST:
OK * package is named appropriately
OK - match upstream tarball or project name
OK - try to match previous incarnations in other distributions/packagers for
consistency
OK - specfile should be %{name}.spec
OK - non-numeric characters should only be used in Release (ie. cvs or
   something)
OK - for non-numerics (pre-release, CVS snapshots, etc.), see
   http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PackageRelease
OK - if case sensitivity is requested by upstream or you feel it should be
   not just lowercase, do so; otherwise, use all lower case for the name
OK * is it legal for Fedora to distribute this?
OK - OSI-approved
OK - not a kernel module
OK - not shareware
OK - is it covered by patents?
OK - it *probably* shouldn't be an emulator
OK - no binary firmware
OK * license field matches the actual license.
OK * license is open source-compatible.
OK - use acronyms for licences where common
OK * specfile name matches %{name}
?? * verify source and patches (md5sum matches upstream, know what the patches do)
 - if upstream doesn't release source drops, put *clear* instructions on
   how to generate the the source drop; ie. 
  # svn export blah/tag blah
  # tar cjf blah-version-src.tar.bz2 blah
OK * skim the summary and description for typos, etc.
NO * correct buildroot
 - should be:
   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

--
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
--

NO * if %{?dist} is used, it should be in that form (note the ? and %
locations)
NO * license text included in package and marked with %doc

--
included but not marked with %doc
--

OK * keep old changelog entries; use judgement when removing (too old?
useless?)
OK * packages meets FHS (http://www.pathname.com/fhs/)
NO * rpmlint on <this package>.srpm gives no output
 - justify warnings if you think they shouldn't be there

--
$ rpmlint asm-1.5.3-2jpp.src.rpm 
W: asm non-standard-group Development/Libraries/Java
E: asm unknown-key GPG#c431416d
W: asm mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 31)
--

OK * changelog should be in one of these formats:

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> - 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com> 0.6-4
  - And fix the link syntax.

  * Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
  - 0.6-4
  - And fix the link syntax.

OK * Packager tag should not be used
NO * Vendor tag should not be used

--
Vendor:		JPackage Project
--

OK * use License and not Copyright 
OK * Summary tag should not end in a period
NA * if possible, replace PreReq with Requires(pre) and/or Requires(post)
OK * specfile is legible
 - this is largely subjective; use your judgement
NO * package successfully compiles and builds on at least x86

--
Cannot find build req  objectweb-anttask. Exiting.
--

?? * BuildRequires are proper
 - builds in mock will flush out problems here
 - the following packages don't need to be listed in BuildRequires:
   bash
   bzip2
   coreutils
   cpio
   diffutils
   fedora-release (and/or redhat-release)
   gcc
   gcc-c++
   gzip
   make
   patch
   perl
   redhat-rpm-config
   rpm-build
   sed
   tar
   unzip
   which
OK * summary should be a short and concise description of the package
OK * description expands upon summary (don't include installation
instructions)
OK * make sure lines are <= 80 characters
OK * specfile written in American English
OK * make a -doc sub-package if necessary
 - see
  
http://fedoraproject.org/wiki/Packaging/Guidelines#head-9bbfa57478f0460c6160947a6bf795249488182b
NA * packages including libraries should exclude static libraries if possible
OK * don't use rpath
NA * config files should usually be marked with %config(noreplace)
NA * GUI apps should contain .desktop files
NA * should the package contain a -devel sub-package?
NO * use macros appropriately and consistently
 - ie. %{buildroot} and %{optflags} vs. $RPM_BUILD_ROOT and $RPM_OPT_FLAGS

--
...
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
...
--

OK * don't use %makeinstall
NA * locale data handling correct (find_lang)
 - if translations included, add BR: gettext and use %find_lang %{name} at the
   end of %install
OK * consider using cp -p to preserve timestamps
NA * split Requires(pre,post) into two separate lines
OK * package should probably not be relocatable
OK * package contains code
 - see http://fedoraproject.org/wiki/Packaging/Guidelines#CodeVsContent
 - in general, there should be no offensive content
NO * package should own all directories and files

--
not all files listed (missing LICENSE.txt for example)
--

OK * there should be no %files duplicates
OK * file permissions should be okay; %defattrs should be present
OK * %clean should be present
OK * %doc files should not affect runtime
NA * if it is a web apps, it should be in /usr/share/%{name} and *not* /var/www
?? * verify the final provides and requires of the binary RPMs
?? * run rpmlint on the binary RPMs

SHOULD:
NO * package should include license text in the package and mark it with %doc

--
included but not marked with %doc
--

?? * package should build on i386
NO * package should build in mock

--
Cannot find build req  objectweb-anttask. Exiting.
--
Comment 2 Deepak Bhole 2007-02-14 20:07:05 EST
New spec and srpm are here: 

http://people.redhat.com/dbhole/fedora/asm/

buildroot fixed
source locations fixed
encoding warnings fixed
javadoc attributes fixed 
license file added and marked %doc
Comment 3 Deepak Bhole 2007-04-25 14:37:08 EDT
This package was originally an indirect dependency of maven2, but is no longer
needed.
Comment 4 Deepak Bhole 2007-04-25 15:26:16 EDT
On second thought, I think I will keep this open. Although it is non-critical,
it should really be added into Fedora at some point..
Comment 5 Jason Tibbitts 2007-06-21 16:41:02 EDT
If you want this added to Fedora, why not go ahead and make a CVS request?
Comment 6 Vivek Lakshmanan 2007-08-13 19:41:04 EDT
*** Bug 252045 has been marked as a duplicate of this bug. ***
Comment 7 Vivek Lakshmanan 2007-08-13 19:42:41 EDT
(In reply to comment #6)
> *** Bug 252045 has been marked as a duplicate of this bug. ***

This package is still needed. Please file a CVS request and subsequently merge
with spec from bug 252045 if possible.
Comment 8 Deepak Bhole 2008-07-09 16:48:20 EDT
objectweb-asm is already in fedora... closing this as WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.